It is currently Tue Jul 23, 2019 3:47 pm


All times are UTC




Post new topic Reply to topic  [ 1 post ] 
Author Message
 Post subject: Error while installing GNS3 v0.8.2 BETA on MAC OS X 10.6.8
PostPosted: Thu Jan 19, 2012 6:23 am 
Offline

Joined: Thu Jan 19, 2012 6:01 am
Posts: 1
I followed these instructions (method 1): http://code.gns3.net/gns3-devel/raw-file/tip/README

I get stuck on the very last step (5) make install of yQt-mac-gpl-4.9 (documentation refers to versions 4.6.2 of pyQt and sip 4.9.3. I installed 4.13.1. I am running the latest Python production version (2.7.2)

I had to make a modification during the install to point PyQt-mac-gpl-4.9 to the correct qmake location:

python configure.py -g -q /Users/. . ./QtSDK/Simulator/Qt/gcc/bin/qmake

'make' command successfully executes. However, 'make install' command halts with the following error:

/Users/. . ./Downloads/PyQt-mac-gpl-4.9/_qt/sipQtGuicmodule.cpp: In function ‘PyObject* func_qt_mac_set_press_and_hold_context(PyObject*, PyObject*)’:
/Users/. . ./Downloads/PyQt-mac-gpl-4.9/_qt/sipQtGuicmodule.cpp:6886: error: ‘qt_mac_set_press_and_hold_context’ was not declared in this scope
/Users/. . ./Downloads/PyQt-mac-gpl-4.9/_qt/sipQtGuicmodule.cpp: In function ‘PyObject* func_qt_mac_set_native_menubar(PyObject*, PyObject*)’:
/Users/. . ./Downloads/PyQt-mac-gpl-4.9/_qt/sipQtGuicmodule.cpp:6914: error: ‘qt_mac_set_native_menubar’ was not declared in this scope
/Users/. . ./Downloads/PyQt-mac-gpl-4.9/_qt/sipQtGuicmodule.cpp: In function ‘PyObject* func_qt_mac_set_menubar_merge(PyObject*, PyObject*)’:
/Users/. . ./Downloads/PyQt-mac-gpl-4.9/_qt/sipQtGuicmodule.cpp:6942: error: ‘qt_mac_set_menubar_merge’ was not declared in this scope
/Users/. . ./Downloads/PyQt-mac-gpl-4.9/_qt/sipQtGuicmodule.cpp: In function ‘PyObject* func_qt_mac_set_menubar_icons(PyObject*, PyObject*)’:
/Users/. . ./Downloads/PyQt-mac-gpl-4.9/_qt/sipQtGuicmodule.cpp:6970: error: ‘qt_mac_set_menubar_icons’ was not declared in this scope
/Users/. . ./Downloads/PyQt-mac-gpl-4.9/_qt/sipQtGuicmodule.cpp: In function ‘PyObject* func_qt_mac_set_dock_menu(PyObject*, PyObject*)’:
/Users/. . ./Downloads/PyQt-mac-gpl-4.9/_qt/sipQtGuicmodule.cpp:6999: error: ‘qt_mac_set_dock_menu’ was not declared in this scope
/Users/. . ./Downloads/PyQt-mac-gpl-4.9/_qt/sipQtGuicmodule.cpp: In function ‘PyObject* func_qt_mac_secure_keyboard(PyObject*, PyObject*)’:
/Users/. . ./Downloads/PyQt-mac-gpl-4.9/_qt/sipQtGuicmodule.cpp:7029: error: ‘qt_mac_secure_keyboard’ was not declared in this scope
/Users/. . ./Downloads/PyQt-mac-gpl-4.9/_qt/sipQtGuicmodule.cpp: In function ‘PyObject* func_qt_set_sequence_auto_mnemonic(PyObject*, PyObject*)’:
/Users/. . ./Downloads/PyQt-mac-gpl-4.9/_qt/sipQtGuicmodule.cpp:7057: error: ‘qt_set_sequence_auto_mnemonic’ was not declared in this scope
make[1]: *** [sipQtGuicmodule.o] Error 1
make: *** [install] Error 2

I am almost there. I would appreciate any suggestions to get these sip Qt GUI modules declared in the scope PyQt is looking for . . .

I am currently downloading Python production code 3.2.2 and will try to run 'make install' again.

thx!

Cognizio




Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 1 post ] 

All times are UTC


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB® Forum Software © phpBB Group

phpBB SEO